------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]勇士剧情任务六（进阶武神）
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>6
-- CLuaScriptMgr:SetCanUseEscCartoon(0)
-- CLuaScriptMgr:PlayCartoon(1)
------觉醒任务--------
-- 狮心勇士trojan_lion
-- 狼牙勇士trojan_wolf
-- 虎威勇士trojan_tiger
-- 豹胆勇士trojan_panther

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(67, 67)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
local player  = CppScriptMgr:AddSimplePlayer(23000, 67, 61, "[GoldenTrojan]Mr.Pride", 4003000009,1)
hero:SetPos(67, 67)
hero:SetDir(4)

-- 设置头盔：player:SetArmet(头盔物品type, 神魂type, 更新外观)
hero:SetArmet(118309, 0, 1)
-- 设置衣服：player:SetArmor(衣服物品type, 神魂type, 更新外观)
hero:SetArmor(130209, 0, 1)
-- 设置右手武器：player:SetRWeapon(武器物品type, 神魂type, 更新外观)
hero:SetRWeapon(420439, 0, 1)
-- 设置左手武器：player:SetLWeapon(武器物品type, 神魂type, 更新外观)
hero:SetLWeapon(420439, 0, 1)

CppScriptMgr:WaitMilSec(1000)
-- 半身像对话框
CppScriptMgr:NpcCallOut("Look at you! You`re now a Trojan Master! Now, go find the lords in 5 main cities to get the power of justice, bravery, confidence, toughness and kindness! I`ll bring you to a brand new world then!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)



-- 玩家跑动
hero:RunTo(72, 68)
CppScriptMgr:WaitMilSec(2000)


-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)


local player1 = CppScriptMgr:AddSimplePlayer(22950, 73, 66, "[LordofTwinCity]Ye", 4003000010,1)

local player2 = CppScriptMgr:AddSimplePlayer(22960, 73, 69, "[LordofPhoenixCastle]Yu", 4003000011,1)

local player3 = CppScriptMgr:AddSimplePlayer(22970, 73, 72, "[LordofApeCity]Li", 4003000012,1)

local player4 = CppScriptMgr:AddSimplePlayer(22980, 73, 75, "[LordofDesertCity]Sha", 4003000013,1)

local player5 = CppScriptMgr:AddSimplePlayer(22990, 73, 78, "[LordofBirdIsland]Mu", 4003000014,1)



--【双龙城城主】叶知秋
hero:RunTo(70, 66)
hero:SetDir(6)

hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
player1:SetAction(200)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("Justice is the power to expel evils! Now, I`ll grant it to you!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc183", 150, 430, "[LordofTwinCity]Ye", 250, 655)
CppScriptMgr:WaitMilSec(5000)

hero:Say("I can feel of power!", 5000)
CppScriptMgr:WaitMilSec(5000)
--【鸣凤堡堡主】玉天娇
hero:RunTo(70, 69)
hero:SetDir(6)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
player2:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Bravery is what we need on the battlefield! Now, I`ll grant it to you!", 5000, 1,  "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc185", 150, 430, "[LordofPhoenixCastle]Yu", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("The only thing we have to fear is fear itself!", 5000)
CppScriptMgr:WaitMilSec(5000)


--【黑虎城城主】李霸先
hero:RunTo(70, 72)
hero:SetDir(6)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
player3:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Toughness makes you unstoppable! Now, I`ll grant it to you!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc190", 150, 430, "[LordofApeCity]Li", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("I`ll never give up!", 5000)
CppScriptMgr:WaitMilSec(5000)

--【云门关城主】沙阡陌
hero:RunTo(70, 75)
hero:SetDir(6)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
player4:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Confidence can make you overcome all difficulties! Now, I`ll grant it to you!",5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc184", 150, 430, "[LordofDesertCity]Sha", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("I can do all things!", 5000)
CppScriptMgr:WaitMilSec(5000)

--【白鹭城城主】慕容轩
hero:RunTo(70, 78)
hero:SetDir(6)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
player5:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Kindness is the fundamental thing of being a human! Now, I`ll grant it to you!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "[LordofBirdIsland]Mu", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("I won`t lose it!", 5000)
CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:NpcCallOut("You`ve collected all powers a Trojan Master should have! Mr. Pride is gonna be very happy to make you a Trojan Master! Go find him!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "[LordofBirdIsland]Mu", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("On my way!", 5000)
CppScriptMgr:WaitMilSec(5000)



--[GoldenTrojan]Mr.Pride
hero:RunTo(67, 67)
hero:SetDir(4)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
player:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Well done, young blood! I was right about you! You`re the chosen one! It`s my honor to promote you to Trojan Master!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("As high as honor!", 5000)
CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:SetViewScale(350)
-- 设置玩家动作：player:SetAction(动作id)
hero:AddEffect("npc_luzilow")
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewScale(256)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Being a Trojan Master means a lot. Family, duty, honor...Demons are rising and people are at stake. You still have long way to go!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)


hero:Say("Relentless!", 3000)
CppScriptMgr:WaitMilSec(3000)

